OpenNMS API 1.2.9

## org.opennms.netmgt.config.groups
Class Group

    java.lang.Object
      org.opennms.netmgt.config.groups.Group

All Implemented Interfaces:
  java.io.Serializable

public class Group
extends java.lang.Object
implements java.io.Serializable

Version:
  $Revision$ $Date$
See Also:
  Serialized Form

Field Summary
`private java.lang.String` `_comments`
`private java.util.ArrayList` `_dutyScheduleList`
`private java.lang.String` `_name`
`private java.util.ArrayList` `_userList`
`private java.util.Vector` `propertyChangeListeners`

Constructor Summary
`Group()`

Method Summary
`void` `addDutySchedule(int index, java.lang.String vDutySchedule)`
`void` `addDutySchedule(java.lang.String vDutySchedule)`
`void` `addPropertyChangeListener(java.beans.PropertyChangeListener pcl)` Registers a PropertyChangeListener with this class.
`void` `addUser(int index, java.lang.String vUser)`
`void` `addUser(java.lang.String vUser)`
`void` `clearDutySchedule()`
`void` `clearUser()`
`java.util.Enumeration` `enumerateDutySchedule()`
`java.util.Enumeration` `enumerateUser()`
`boolean` `equals(java.lang.Object obj)` Note: hashCode() has not been overriden
`java.lang.String` `getComments()` Returns the value of field 'comments'.
`java.lang.String[]` `getDutySchedule()`
`java.lang.String` `getDutySchedule(int index)`
`java.util.Collection` `getDutyScheduleCollection()`
`int` `getDutyScheduleCount()`
`java.lang.String` `getName()` Returns the value of field 'name'.
`java.lang.String[]` `getUser()`
`java.lang.String` `getUser(int index)`
`java.util.Collection` `getUserCollection()`
`int` `getUserCount()`
`boolean` `isValid()`
`void` `marshal(org.xml.sax.DocumentHandler handler)`
`void` `marshal(java.io.Writer out)`
`protected void` `notifyPropertyChangeListeners(java.lang.String fieldName, java.lang.Object oldValue, java.lang.Object newValue)` Notifies all registered PropertyChangeListeners when a bound property's value changes.
`boolean` `removeDutySchedule(java.lang.String vDutySchedule)`
`boolean` `removePropertyChangeListener(java.beans.PropertyChangeListener pcl)` Removes the given PropertyChangeListener from this classes list of ProperyChangeListeners.
`boolean` `removeUser(java.lang.String vUser)`
`void` `setComments(java.lang.String comments)` Sets the value of field 'comments'.
`void` `setDutySchedule(int index, java.lang.String vDutySchedule)`
`void` `setDutySchedule(java.lang.String[] dutyScheduleArray)`
`void` `setDutyScheduleCollection(java.util.Collection vDutySchedule)`
`void` `setName(java.lang.String name)` Sets the value of field 'name'.
`void` `setUser(int index, java.lang.String vUser)`
`void` `setUser(java.lang.String[] userArray)`
`void` `setUserCollection(java.util.Collection vUser)`
`static Group` `unmarshal(java.io.Reader reader)`
`void` `validate()`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### _name

    private java.lang.String _name

### _comments

    private java.lang.String _comments

### _userList

    private java.util.ArrayList _userList

### _dutyScheduleList

    private java.util.ArrayList _dutyScheduleList

### propertyChangeListeners

    private java.util.Vector propertyChangeListeners

Constructor Detail

### Group

    public Group()

Method Detail

### addDutySchedule

    public void addDutySchedule(java.lang.String vDutySchedule)
                         throws java.lang.IndexOutOfBoundsException

  Parameters:
    `vDutySchedule` -
  Throws:
    `java.lang.IndexOutOfBoundsException`

### addDutySchedule

    public void addDutySchedule(int index,
                                java.lang.String vDutySchedule)
                         throws java.lang.IndexOutOfBoundsException

  Parameters:
    `index` -
    `vDutySchedule` -
  Throws:
    `java.lang.IndexOutOfBoundsException`

### addPropertyChangeListener

    public void addPropertyChangeListener(java.beans.PropertyChangeListener pcl)

  Registers a PropertyChangeListener with this class.

  Parameters:
    `pcl` - The PropertyChangeListener to register.

### addUser

    public void addUser(java.lang.String vUser)
                 throws java.lang.IndexOutOfBoundsException

  Parameters:
    `vUser` -
  Throws:
    `java.lang.IndexOutOfBoundsException`

### addUser

    public void addUser(int index,
                        java.lang.String vUser)
                 throws java.lang.IndexOutOfBoundsException

  Parameters:
    `index` -
    `vUser` -
  Throws:
    `java.lang.IndexOutOfBoundsException`

### clearDutySchedule

    public void clearDutySchedule()

### clearUser

    public void clearUser()

### enumerateDutySchedule

    public java.util.Enumeration enumerateDutySchedule()

### enumerateUser

    public java.util.Enumeration enumerateUser()

### equals

    public boolean equals(java.lang.Object obj)

  Note: hashCode() has not been overriden

  Parameters:
    `obj` -

### getComments

    public java.lang.String getComments()

  Returns the value of field 'comments'.

  Returns:
    the value of field 'comments'.

### getDutySchedule

    public java.lang.String getDutySchedule(int index)
                                     throws java.lang.IndexOutOfBoundsException

  Parameters:
    `index` -
  Throws:
    `java.lang.IndexOutOfBoundsException`

### getDutySchedule

    public java.lang.String[] getDutySchedule()

### getDutyScheduleCollection

    public java.util.Collection getDutyScheduleCollection()

### getDutyScheduleCount

    public int getDutyScheduleCount()

### getName

    public java.lang.String getName()

  Returns the value of field 'name'.

  Returns:
    the value of field 'name'.

### getUser

    public java.lang.String getUser(int index)
                             throws java.lang.IndexOutOfBoundsException

  Parameters:
    `index` -
  Throws:
    `java.lang.IndexOutOfBoundsException`

### getUser

    public java.lang.String[] getUser()

### getUserCollection

    public java.util.Collection getUserCollection()

### getUserCount

    public int getUserCount()

### isValid

    public boolean isValid()

### marshal

    public void marshal(java.io.Writer out)
                 throws org.exolab.castor.xml.MarshalException,
                        org.exolab.castor.xml.ValidationException

  Parameters:
    `out` -
  Throws:
    `org.exolab.castor.xml.MarshalException`
    `org.exolab.castor.xml.ValidationException`

### marshal

    public void marshal(org.xml.sax.DocumentHandler handler)
                 throws org.exolab.castor.xml.MarshalException,
                        org.exolab.castor.xml.ValidationException

  Parameters:
    `handler` -
  Throws:
    `org.exolab.castor.xml.MarshalException`
    `org.exolab.castor.xml.ValidationException`

### notifyPropertyChangeListeners

    protected void notifyPropertyChangeListeners(java.lang.String fieldName,
                                                 java.lang.Object oldValue,
                                                 java.lang.Object newValue)

  Notifies all registered PropertyChangeListeners when a bound property's value changes.

  Parameters:
    `fieldName` - the name of the property that has changed.
    `newValue` - the new value of the property.
    `oldValue` - the old value of the property.

### removeDutySchedule

    public boolean removeDutySchedule(java.lang.String vDutySchedule)

  Parameters:
    `vDutySchedule` -

### removePropertyChangeListener

    public boolean removePropertyChangeListener(java.beans.PropertyChangeListener pcl)

  Removes the given PropertyChangeListener from this classes list of ProperyChangeListeners.

  Parameters:
    `pcl` - The PropertyChangeListener to remove.
  Returns:
    true if the given PropertyChangeListener was removed.

### removeUser

    public boolean removeUser(java.lang.String vUser)

  Parameters:
    `vUser` -

### setComments

    public void setComments(java.lang.String comments)

  Sets the value of field 'comments'.

  Parameters:
    `comments` - the value of field 'comments'.

### setDutySchedule

    public void setDutySchedule(int index,
                                java.lang.String vDutySchedule)
                         throws java.lang.IndexOutOfBoundsException

  Parameters:
    `index` -
    `vDutySchedule` -
  Throws:
    `java.lang.IndexOutOfBoundsException`

### setDutySchedule

    public void setDutySchedule(java.lang.String[] dutyScheduleArray)

  Parameters:
    `dutyScheduleArray` -

### setDutyScheduleCollection

    public void setDutyScheduleCollection(java.util.Collection vDutySchedule)

  Parameters:
    `vDutySchedule` -

### setName

    public void setName(java.lang.String name)

  Sets the value of field 'name'.

  Parameters:
    `name` - the value of field 'name'.

### setUser

    public void setUser(int index,
                        java.lang.String vUser)
                 throws java.lang.IndexOutOfBoundsException

  Parameters:
    `index` -
    `vUser` -
  Throws:
    `java.lang.IndexOutOfBoundsException`

### setUser

    public void setUser(java.lang.String[] userArray)

  Parameters:
    `userArray` -

### setUserCollection

    public void setUserCollection(java.util.Collection vUser)

  Parameters:
    `vUser` -

### unmarshal

    public static Group unmarshal(java.io.Reader reader)
                           throws org.exolab.castor.xml.MarshalException,
                                  org.exolab.castor.xml.ValidationException

  Parameters:
    `reader` -
  Throws:
    `org.exolab.castor.xml.MarshalException`
    `org.exolab.castor.xml.ValidationException`

### validate

    public void validate()
                  throws org.exolab.castor.xml.ValidationException

  Throws:
    `org.exolab.castor.xml.ValidationException`

OpenNMS API 1.2.9

Generated by ranger on May 19 2007 2335.